Commit 271ea932 authored by excalibur1234's avatar excalibur1234

pacui: version 1.11

parent f76bf70b
......@@ -3,32 +3,34 @@
pkgname=pacui
pkgver=1.10.3
pkgver=1.11
pkgrel=1
pkgdesc="Bash script providing advanced Pacman and Trizen/Yay/Pikaur/Yaourt/Pacaur functionality in a simple UI"
pkgdesc="Bash script providing advanced Pacman and Yay/Pikaur/Aurman/Pakku/Trizen/Pacaur functionality in a simple UI"
arch=(any)
url="https://github.com/excalibur1234/$pkgname"
license=('GPL3')
depends=('pacman-contrib' 'expac' 'wget' 'sudo' 'fzf')
conflicts=("pacui-git")
optdepends=('pacaur: Needed for AUR support.'
'yaourt: Needed for AUR support.'
'yay: Needed for AUR support.'
'pikaur: Needed for AUR support.'
'trizen: Needed for AUR support.'
'pacman-mirrors: Needed for Manjaro mirror support'
'reflector: Needed for Arch Linux mirror support'
'downgrade: Needed for hidden "downgrade" option.')
conflicts=("$pkgname-git")
optdepends=('yay: One AUR helper is needed for AUR support.'
'pikaur: One AUR helper is needed for AUR support.'
'aurman: One AUR helper is needed for AUR support.'
'pakku: One AUR helper is needed for AUR support.'
'trizen: One AUR helper is needed for AUR support.'
'pacaur: One AUR helper is needed for AUR support.'
'pacman-mirrors: Needed for Manjaro mirror support'
'pacman-mirrors: Needed for Manjaro mirror support'
'reflector: Needed for Arch Linux mirror support'
'downgrade: Needed for hidden "downgrade" option.')
source=("$url/archive/$pkgver.tar.gz")
md5sums=('8fcc4c5f85be56de69f6660ac91544e9')
md5sums=('13d43a8312e954a5bf3e3aa331be18af')
# how to update md5sum:
# 1. do "updpkgsums" inside the folder with PKGBUILD file
# 2. delete .tar.gz file
package () {
install -Dm755 "$srcdir/$pkgname-$pkgver/pacui" "$pkgdir/usr/bin/pacui"
install -Dm755 "$srcdir/$pkgname-$pkgver/pacui" "$pkgdir/usr/bin/pacui"
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment